# SoReadError Class Reference
[Error handling]

`#include <Inventor/errors/SoReadError.h>`

Inheritance diagram for SoReadError:

List of all members.

## Detailed Description

The SoReadError class is used during model import operations.

During model file import, this class will be used to output any error or warning messages.

Depending on your application, setting up your own error handler callbacks for SoReadError might be a good idea.

## Public Member Functions

virtual SoType | getTypeId (void) const

## Static Public Member Functions

void | setHandlerCallback (SoErrorCB *const function, void *const data)
SoErrorCB * | getHandlerCallback (void)
void * | getHandlerData (void)
SoType | getClassTypeId (void)
void | post (const SoInput *const in, const char *const format,...)
void | initClass (void)

## Protected Member Functions

virtual SoErrorCB * | getHandler (void *&data) const

## Member Function Documentation

void SoReadError::setHandlerCallback | ( | SoErrorCB *const | function,
|  | void *const | data
| ) | `[static]`

This method sets the error handler callback for messages posted via this class.

Note that this will not override the error/debug message handler for subclasses, these will have to be overrided by calling the subclass' setHandlerCallback() method.

See also:
  defaultHandlerCB()

Reimplemented from SoError.

SoErrorCB * SoReadError::getHandlerCallback | ( | void |  | ) | `[static]`

| Returns the error handler callback for messages posted via this class. Reimplemented from SoError.

void * SoReadError::getHandlerData | ( | void |  | ) | `[static]`

| This method returns the pointer used for passing data back to the callback handler method. Reimplemented from SoError.

SoType SoReadError::getClassTypeId | ( | void |  | ) | `[static]`

This static method returns the SoType for this class.

See also:
  getTypeId()

Reimplemented from SoError.

SoType SoReadError::getTypeId | ( | void |  | ) | const`[virtual]`

This method returns the SoType of a particular object instance.

See also:
  getClassTypeId()

Reimplemented from SoError.

void SoReadError::post | ( | const SoInput *const | in,
|  | const char *const | format,
|  | ... |
| ) | `[static]`

| Method used from import code to post error or warning messages for model files which are not 100% compliant to the format specification. The messages will be wrapped within information on line number, file offset etc.

void SoReadError::initClass | ( | void |  | ) | `[static]`

| This method takes care of initializing all static data for the class. Reimplemented from SoError.

SoErrorCB * SoReadError::getHandler | ( | void *& | data | ) | const`[protected, virtual]`

| This is just a convenience wrapper around the getHandlerCallback() and getHandlerData() methods. Reimplemented from SoError.

The documentation for this class was generated from the following files:

- SoReadError.h
- SoReadError.cpp